#ifndef MIXLAUNCH_H
#define MIXLAUNCH_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <qobject.h>
#include <qwidget.h>
#include <qmainwindow.h>
#include <qvbox.h>
#include <qstring.h>
#include <alsa/asoundlib.h>
#include "mixer.h"

const QString aboutText = "QAMix 0.0.6\nby Matthias Nagorni\n(c)2003 SuSE AG Nuremberg\n\n"
                          "QAMix is licensed under the GPL.\n";

class MixLaunch : public QVBox
{
  Q_OBJECT

  private:
    QMainWindow *mainWindow;
    QMessageBox *aboutWidget;
    Mixer *mixer;    
    QString ctl_name;
    QString xml_name;
    int mode;

  public:
    int hide_ids[4];
  
  public:
    MixLaunch(QString p_ctlname, QString p_xml_name, int p_mode, QWidget* parent=0, const char *name=0);
    ~MixLaunch();

  public slots: 
    void openMixer();
    void closeMixer();
    void displayAbout();
    void printDefaultGui();
    void newDevice(int id);
    void newMode(int id);
    void updateCaption();
};
  
#endif
